{* Smarty *}
{if $user}
{$total_text}
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
{* To enable AJAX this table must have an id of "users" and each user must be between it's own tbody tags; $user.approved must have the class "approved" *}
<table id="users">
<thead>
<tr>
	<th><a href="{$smarty.const.CF_BASE_URL}users{$smarty.const.CF_VAR_BASE}o=n&d={if $order == 'n' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER}</a>{if $order == 'n'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	<th><a href="{$smarty.const.CF_BASE_URL}users{$smarty.const.CF_VAR_BASE}o=d&d={if $order == 'd' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER_REGISTER_DATE}</a>{if $order == 'd'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	<th><a href="{$smarty.const.CF_BASE_URL}users{$smarty.const.CF_VAR_BASE}o=t&d={if $order == 't' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER_TYPE}</a>{if $order == 't'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	<th><a href="{$smarty.const.CF_BASE_URL}users{$smarty.const.CF_VAR_BASE}o=a&d={if $order == 'a' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_APPROVED}</a>{if $order == 'a'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
</tr>
</thead>
{foreach from=$user item=user key=k}
<tbody>
	<tr>
		<td><strong><a href="{$smarty.const.CF_BASE_URL}edituser/{$k}">{$user.username}</a></strong></td>
		<td>{$user.date}</td>
		<td>{$user.type}</td>
		<td><span class="approved">{if $user.approved}{$smarty.const.LN_YES}{else}{$smarty.const.LN_NO}{/if}</span></td>
	</tr>
	<tr>
		<td>
			<strong>{$smarty.const.LN_EMAIL}:</strong> <a href="mailto:{$user.email}">{$user.email}</a><br />
			<strong>{$smarty.const.LN_ADDRESS}:</strong> {$user.address1} {$user.address2} {$user.place} {$user.zip} {$user.country}<br />
			<strong>{$smarty.const.LN_COMMENT}:</strong> <em>{$user.comment}</em><br />
		</td>
		<td colspan="2">
			<strong>{$smarty.const.LN_USER_LAST_LOGIN}:</strong> {$user.last}<br />
			<strong>{$smarty.const.LN_LANG}:</strong> {$user.lang}<br />
			{if $user.timezone}<strong>{$smarty.const.LN_TIMEZONE}:</strong> {$user.timezone}<br />{/if}
			<a href="{$smarty.const.CF_BASE_URL}comments/{$k}">{$smarty.const.LN_COMMENTS}</a>
		</td>
		<td>
			{if !$user.approved}<a href="{$user.approve}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			<a href="{$user.edit}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$user.delete}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
{/if}